import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { PolihelpSharedModule } from 'app/shared/shared.module';

import { PasswordStrengthBarComponent } from './password/password-strength-bar.component';
import { RegisterComponent } from './register/register.component';
import { ActivateComponent } from './activate/activate.component';
import { PasswordComponent } from './password/password.component';
import { PasswordResetInitComponent } from './password-reset/init/password-reset-init.component';
import { PasswordResetFinishComponent } from './password-reset/finish/password-reset-finish.component';
import { SettingsComponent } from './settings/settings.component';
import { accountState } from './account.route';
import { OrdersComponent } from './orders/orders.component';
import { OrderHistoryComponent } from './orders/order-history/order-history.component';
import { PostsComponent } from './orders/posts/posts.component';
import { OngSettingsComponent } from './ong-settings/ong-settings.component';
import { AddProjectModalComponent } from './ong-settings/add-project-modal/add-project-modal.component';
import { ProjectCardComponent } from './ong-settings/project-card/project-card.component';


@NgModule({
  imports: [PolihelpSharedModule, RouterModule.forChild(accountState)],
  declarations: [
    ActivateComponent,
    RegisterComponent,
    PasswordComponent,
    PasswordStrengthBarComponent,
    PasswordResetInitComponent,
    PasswordResetFinishComponent,
    SettingsComponent,
    OrdersComponent,
    OrderHistoryComponent,
    PostsComponent,
    OngSettingsComponent,
    AddProjectModalComponent,
    ProjectCardComponent,
  ],
})
export class AccountModule {}
