import { Injectable } from '@angular/core';
import { CanActivate, UrlTree, Router } from '@angular/router';
import { Observable } from 'rxjs';
import { AccountService } from 'app/core/auth/account.service';


@Injectable({
  providedIn: 'root'
})
export class OngSettingsGuard implements CanActivate {
  
  constructor(
    private accountService: AccountService,
    private router: Router,
  ) {}

  canActivate( ): Observable<boolean | UrlTree> | Promise<boolean | UrlTree> | boolean | UrlTree {

    this.accountService.fetch().subscribe((account) => {

      if(account.company !== "") {
        return true
      } else {
        this.router.navigateByUrl("/")
        return false
      }

    } )

    return true;
  }
}
