import { Component, OnInit } from '@angular/core';
import { Product } from 'app/core/user/product.model';
import { OrdersService } from 'app/account/orders/orders.service';
import { Purchase } from 'app/core/user/purchase.model';
import { Router } from '@angular/router'

@Component({
  selector: 'jhi-order-history',
  templateUrl: './order-history.component.html',
  styleUrls: ['./order-history.component.scss']
})
export class OrderHistoryComponent implements OnInit {
  
  public orderedProducts: Product[] = [];
  claimedProducts: Purchase[] = [];
  itemsPerPage = 15;
  page = 1;
  
  constructor(private ordersService: OrdersService, private route: Router) { }

  ngOnInit(): void {
    this.ordersService.getClaims().subscribe(data => {
      this.claimedProducts = data;
      this.page = 1;
    });
  }

  selectPage(pageNr: number):any{
    this.page = pageNr;
  }

  historyTable(): void {
    this.route.navigate(['orders','history']);
  }

  postsTable(): void {
    this.route.navigate(['orders','posts']);
  }
}
