import { Injectable } from '@angular/core';
import { SERVER_API_URL } from '../../app.constants';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Product } from '../../core/user/product.model';
import { Purchase } from 'app/core/user/purchase.model';

@Injectable({
    providedIn: "root"
})
export class OrdersService {
    public resourceUrlOrders = SERVER_API_URL + 'api/product/myProducts';
    public resourceUrlClaims = SERVER_API_URL + 'api/product/myPurchases';
    endPoint: any = 'api/product';
    public resourceUrl = SERVER_API_URL + this.endPoint;


    constructor(private http: HttpClient) { }

    getOrders(): Observable<Product[]> {
        return this.http.get<Product[]>(this.resourceUrlOrders);   
    }

    getClaims(): Observable<Purchase[]> {
        return this.http.get<Purchase[]>(this.resourceUrlClaims);
    }

    removeProduct(id : Number): Observable<Product>{
    this.resourceUrl = SERVER_API_URL + this.endPoint
    this.resourceUrl = this.resourceUrl + "/" + id; // path variables 
    return this.http.delete<Product>(this.resourceUrl);
    }

}
