import { Component, OnInit } from '@angular/core';
import { Product } from 'app/core/user/product.model';
import { Purchase } from 'app/core/user/purchase.model';
import { OrdersService } from '../orders.service'; 
import { Router } from '@angular/router';

@Component({
  selector: 'jhi-posts',
  templateUrl: './posts.component.html',
  styleUrls: ['./posts.component.scss']
})
export class PostsComponent implements OnInit {

  public orderedProducts: Product[] = [];
  claimedProducts: Purchase[] = [];
  itemsPerPage = 15;
  page = 1;
  
  constructor(private ordersService: OrdersService, private route: Router) {}

  ngOnInit(): void {
    this.ordersService.getOrders().subscribe(data => {
      this.orderedProducts = data;
      this.page = 1;
    });
  }

  selectPage(pageNr: number):any{
    this.page = pageNr;
  }

  historyTable(): void {
    this.route.navigate(['orders','history']);
  }

  postsTable(): void {
    this.route.navigate(['orders','posts']);
  }

  removeProduct(id: number | undefined): void {
      this.ordersService.removeProduct(id as number).subscribe(
        ()=> {this.ngOnInit();}
      );

  }
}

