import { NgModule, NO_ERRORS_SCHEMA } from "@angular/core";
import { BrowserModule } from "@angular/platform-browser";

import "./vendor";
import { PolihelpSharedModule } from "app/shared/shared.module";
import { PolihelpCoreModule } from "app/core/core.module";
import { PolihelpAppRoutingModule } from "./app-routing.module";
import { PolihelpHomeModule } from "./home/home.module";
import { PolihelpEntityModule } from "./entities/entity.module";
// jhipster-needle-angular-add-module-import JHipster will add new module here
import { MainComponent } from "./layouts/main/main.component";
import { NavbarComponent } from "./layouts/navbar/navbar.component";
import { FooterComponent } from "./layouts/footer/footer.component";
import { PageRibbonComponent } from "./layouts/profiles/page-ribbon.component";
import { ActiveMenuDirective } from "./layouts/navbar/active-menu.directive";
import { ErrorComponent } from "./layouts/error/error.component";
import { FontAwesomeModule } from "@fortawesome/angular-fontawesome";
import { CreateProductComponent } from "./create-product/create-product.component";
import { ProductsFilterPipe } from "./products/products-filter.pipe";
import { ProductsComponent } from "./products/products.component";
import { ProductDetailsComponent } from "./product-details/product-details.component";
import { IvyCarouselModule } from "angular-responsive-carousel";
import { PostRequestsComponent } from "./post-requests/post-requests.component";
import { AgmCoreModule } from "@agm/core";
import { OngProfileComponent } from "./ong-profile/ong-profile.component";
import { NgbModule } from "@ng-bootstrap/ng-bootstrap";
import { BrowserAnimationsModule } from "@angular/platform-browser/animations";
import { ToastrModule } from "ngx-toastr";

@NgModule({
  imports: [
    BrowserModule,
    PolihelpSharedModule,
    PolihelpCoreModule,
    PolihelpHomeModule,
    // jhipster-needle-angular-add-module JHipster will add new module here
    PolihelpEntityModule,
    PolihelpAppRoutingModule,
    FontAwesomeModule,
    IvyCarouselModule,
    AgmCoreModule.forRoot({
      apiKey: "AIzaSyBVPBcD9iyA8eWOqxxkn6Z7o6IF7E3AJ3g",
    }),
    NgbModule,
    BrowserAnimationsModule,
    ToastrModule.forRoot({
      timeOut: 1000,
      positionClass: "toast-bottom-right",
      preventDuplicates: true,

    }),
  ],

  schemas: [NO_ERRORS_SCHEMA],
  declarations: [
    MainComponent,
    NavbarComponent,
    ErrorComponent,
    PageRibbonComponent,
    ActiveMenuDirective,
    FooterComponent,
    ProductsFilterPipe,
    ProductsComponent,
    CreateProductComponent,
    ProductDetailsComponent,
    PostRequestsComponent,
    OngProfileComponent,
  ],
  bootstrap: [MainComponent],
})
export class PolihelpAppModule {}
