import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';

import { SERVER_API_URL } from 'app/app.constants';
import { Product } from 'app/core/user/product.model';

@Injectable({ providedIn: 'root' })
export class CreateProductService {
  endPoint: any = 'api/product';
  public resourceUrl = SERVER_API_URL + this.endPoint;

  constructor(private http: HttpClient) {}

  save(account: Product): Observable<{}> {
    return this.http.post(SERVER_API_URL + 'api/product', account);
  }

  getProduct(id: Number): Observable<Product> {
    this.resourceUrl = SERVER_API_URL + this.endPoint
    this.resourceUrl = this.resourceUrl + "/" + id; // path variables 
    return this.http.get<Product>(this.resourceUrl);
  }

  editProduct(id : number, product: Product): Observable<Product>{
    this.resourceUrl = SERVER_API_URL + this.endPoint
    this.resourceUrl = this.resourceUrl + "/" + id; // path variables 
    return this.http.put<Product>(this.resourceUrl, product);
}
}
