import { Observable } from "rxjs";

import { Injectable } from "@angular/core";
import { HttpClient, HttpParams } from "@angular/common/http";

import { SERVER_API_URL } from "app/app.constants";
import { OngSettings } from "src/main/webapp/app/account/ong-settings/ong-settings.model"
import { OngProject } from 'app/account/ong-settings/ong-project.model'



@Injectable({ providedIn: "root" })
export class HomeService {

    constructor(private http: HttpClient) {
    }

    getAllOng(params: HttpParams): Observable<OngSettings[]> {
        return this.http.get<OngSettings[]>(SERVER_API_URL + 'api/ongProfile/latest', { params });
    }

    getCountParams(count: number): HttpParams {
        const params = new HttpParams().set("count", count.toString());
        return params
    }

    getProjects(params: HttpParams): Observable<OngProject[]> {
        return this.http.get<OngProject[]>(SERVER_API_URL + 'api/ongProject/latest', { params })
    }

}