import { Injectable } from '@angular/core';
import { SERVER_API_URL } from 'app/app.constants';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Product } from 'app/core/user/product.model';

@Injectable({
    providedIn: "root"
})
export class PostRequestsService {
    public resourceUrl = SERVER_API_URL + 'api/inactiveProduct';
    public activateUrl = SERVER_API_URL + 'api/activateProduct';
    public declineUrl = SERVER_API_URL + 'api/declineProduct';
    public currentUrl= '';
    constructor(private http: HttpClient) { }

    getProducts(): Observable<Product[]> {
        return this.http.get<Product[]>(this.resourceUrl);
    }

    activatePost(id: Number,  product: Product): Observable<Product> {
        this.currentUrl = this.activateUrl + "/" + id;
        return this.http.put<Product>(this.currentUrl, product);
    }

    declinePost(id: Number): Observable<Product> {
        this.currentUrl = this.declineUrl + '/' + id;
        return this.http.delete<Product>(this.currentUrl);
    }
}