import { Injectable, OnInit } from '@angular/core';
import { SERVER_API_URL } from 'app/app.constants';
import { HttpClient } from '@angular/common/http';
import { Product } from 'app/core/user/product.model';
import { Observable } from 'rxjs';
import { Comment } from './comment.model';
import { User } from 'app/core/user/user.model';


@Injectable({
  providedIn: 'root'
})
export class ProductDetailsService implements OnInit {
  endPoint: any = 'api/product';
  public resourceUrl = SERVER_API_URL + this.endPoint;

  constructor(private http: HttpClient) {
  }

  getImage(url:string): Observable<any> {
    return this.http.get<any>(url);
  }

  getProduct(id: Number): Observable<Product> {
    this.resourceUrl = SERVER_API_URL + this.endPoint
    this.resourceUrl = this.resourceUrl + "/" + id; // path variables 
    return this.http.get<Product>(this.resourceUrl);
  }

  getComments(id: Number): Observable<Comment[]> {
    this.resourceUrl = SERVER_API_URL + this.endPoint
    this.resourceUrl = this.resourceUrl + "/" + id + "/comments";
    return this.http.get<Comment[]>(this.resourceUrl);
  }

  getUser(): Observable<User> {
    return this.http.get<User>(SERVER_API_URL + 'api/account');
  }

  saveComment(id: Number, comment: Comment): Observable<Comment> {
    this.resourceUrl = SERVER_API_URL + this.endPoint
    this.resourceUrl = this.resourceUrl + "/" + id + "/comments";
    return this.http.post<Comment>(this.resourceUrl, comment);
  }

  editComment(id: Number, comId: Number, comment: Comment): Observable<Comment> {
    this.resourceUrl = SERVER_API_URL + this.endPoint
    this.resourceUrl = this.resourceUrl + "/" + id + "/comments" + "/" + comId;
    return this.http.put<Comment>(this.resourceUrl, comment);
  }

  deleteComment(id: Number, comId: Number): Observable<Comment> {
    this.resourceUrl = SERVER_API_URL + this.endPoint
    this.resourceUrl = this.resourceUrl + "/" + id + "/comments" + "/" + comId;
    return this.http.delete<Comment>(this.resourceUrl);
  }

  claimProduct(id: Number, quantity: Number): Observable<Product> {
    this.resourceUrl = SERVER_API_URL + this.endPoint;
    this.resourceUrl = this.resourceUrl + "/" + id + "/buyProduct";
    return this.http.post<Product>(this.resourceUrl, quantity);
  }

  ngOnInit(): void {
  }


}
