import { NgModule } from '@angular/core';
import { PolihelpSharedLibsModule } from './shared-libs.module';
import { FindLanguageFromKeyPipe } from './language/find-language-from-key.pipe';
import { AlertComponent } from './alert/alert.component';
import { AlertErrorComponent } from './alert/alert-error.component';
import { LoginModalComponent } from './login/login.component';
import { HasAnyAuthorityDirective } from './auth/has-any-authority.directive';
import { NgxUploaderModule } from 'ngx-uploader';
import { UploadImageComponent } from 'app/upload-image/upload-image.component';




@NgModule({
  imports: [
    PolihelpSharedLibsModule,
    ],
  declarations: [FindLanguageFromKeyPipe, AlertComponent, AlertErrorComponent, LoginModalComponent, HasAnyAuthorityDirective, UploadImageComponent],
  entryComponents: [LoginModalComponent],
  exports: [
    PolihelpSharedLibsModule,
    FindLanguageFromKeyPipe,
    AlertComponent,
    AlertErrorComponent,
    LoginModalComponent,
    HasAnyAuthorityDirective,
    NgxUploaderModule,
    UploadImageComponent
    
  ],
})
export class PolihelpSharedModule {}
